import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading ZebraMediaSensorToGeneric Converter")

class ZebraMediaSensorToGeneric(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "gap/notch":
			res = "Gap"
		elif myList[0] == "mark":
			res = "Mark"
		elif myList[0] == "continuous":
			res = "None"
		return res




plugin = ZebraMediaSensorToGeneric("ZebraMediaSensorToGeneric")

store.AddConverter(plugin)